package betterquesting.api2.utils;

import java.util.ArrayList;
import java.util.List;
import javax.annotation.Nonnull;
import javax.annotation.Nullable;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.ItemStack;
import net.minecraftforge.oredict.OreDictionary;

/* loaded from: betterquesting_api2_utils.jar:betterquesting/api2/utils/OreIngredient.class */
public class OreIngredient {
    private final List<ItemStack> ores;
    private ItemStack[] array = null;
    private int lastSizeA = -1;

    public OreIngredient(String ore) {
        this.ores = OreDictionary.getOres(ore);
    }

    public boolean apply(@Nullable ItemStack input) {
        if (input == null) {
            return false;
        }
        for (ItemStack target : this.ores) {
            if (OreDictionary.itemMatches(target, input, false)) {
                return true;
            }
        }
        return false;
    }

    @Nonnull
    public ItemStack[] getMatchingStacks() {
        if (this.array == null || this.lastSizeA != this.ores.size()) {
            List<ItemStack> lst = new ArrayList<>();
            for (ItemStack itemstack : this.ores) {
                if (itemstack.func_77960_j() == 32767) {
                    itemstack.func_77973_b().func_150895_a(itemstack.func_77973_b(), CreativeTabs.field_78027_g, lst);
                } else {
                    lst.add(itemstack);
                }
            }
            this.array = (ItemStack[]) lst.toArray(new ItemStack[0]);
            this.lastSizeA = this.ores.size();
        }
        return this.array;
    }
}
